package composite;

public abstract class SimpleMonitoring implements Monitoring{
    private final Sensor sensor; // Sensor monitorado
    private final float value; // Valor usado na comparação

    public SimpleMonitoring(Sensor sensor, float value) {
        this.sensor = sensor;
        this.value = value;
    }

    public float getValue() {
        return this.value;
    }

    public float getSensorValue() {
        return this.sensor.getValue();
    }
}
